// form/nc/nc-property-test-page/nc-property-test-page.js

if (arr.component_list.length === 0) {
	for (let name in rec.component_map) {
		arr.component_list.push(name)
	}
}

// eslint-disable-next-line no-unused-vars
function setPreviewComponent(name) {
	if (name) {
		nc.addComponent({ name: name, path: rec.component_map[name] })
	}
	rec.component_list = name // trigger reactivity, component(:is='rec.component_list') will be updated
}
